Bug 461109 - man page for tracert is missing
man page for tracert is missing
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: traceroute (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dmitry Butskoy
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-04 05:05 EDT by Milos Malik
Modified: 2008-10-03 18:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-03 18:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-09-04 05:05:56 EDT
Description of problem:
We ship the package with 3 utilities and with 1 man page, which should be common for all of them. However, there is no symbolic link for tracert man page.

Version-Release number of selected component (if applicable):
traceroute-2.0.10-1.fc8

How reproducible:
Always

Steps to Reproduce:
$ man tracert
No manual entry for tracert
$ echo $?
1
$ ls -l /usr/share/man/man8/tracer*
lrwxrwxrwx 1 root root   15 2008-05-12 10:53 /usr/share/man/man8/traceroute6.8.gz -> traceroute.8.gz
-rw-r--r-- 1 root root 5445 2007-09-26 14:24 /usr/share/man/man8/traceroute.8.gz
$ 

Actual results:
There is no man page for tracert utility in the package.

Expected results:
There is a man page for tracert utility in the package.

Additional info:
Comment 1 Dmitry Butskoy 2008-09-04 08:10:24 EDT
Formally, we do not support "tracert". (I am the upstream maintainer too).

The idea (certainly a little questionable) was to help the network admins, who previously worked under windoze and mechanically typed (under a pressure) "tracert" instead of "traceroute".

In general, "tracert" is not just "traceroute -I" -- it has slightly different output etc. Thus we do not provide "tracert" now, hence "man tracert" should not confuse users about actually not implemented utility...

Perhaps remove /bin/tracert symlink at all? Or to leave things as is?
Comment 2 Dmitry Butskoy 2008-09-09 13:34:27 EDT
Additionally, the placing such a symlink in /bin (not /usr/bin) seems a little bit ugly. /bin is not a place for such things.

I am going to drop /bin/tracert. Any comments?
Comment 3 Milos Malik 2008-09-10 03:27:53 EDT
Dropping /bin/tracert seems reasonable.
Comment 4 Fedora Update System 2008-09-17 12:19:46 EDT
traceroute-2.0.12-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/traceroute-2.0.12-1.fc9
Comment 5 Fedora Update System 2008-09-17 12:22:00 EDT
traceroute-2.0.12-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/traceroute-2.0.12-1.fc8
Comment 6 Fedora Update System 2008-09-24 20:16:00 EDT
traceroute-2.0.12-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update traceroute'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8277
Comment 7 Fedora Update System 2008-09-24 20:17:51 EDT
traceroute-2.0.12-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update traceroute'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8288
Comment 8 Fedora Update System 2008-10-03 18:28:15 EDT
traceroute-2.0.12-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-10-03 18:34:24 EDT
traceroute-2.0.12-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.